WidevineCdm component missing



  • Netflix tells me this is missing in Vivaldi. No problems on other browswes. Is there a fix?



  • Not sure what the deal is with WidevineCdm.

    When I first installed stable 1.3 vivaldi a last week it included it. The last snapshot didn't have it (1.3.582.3). It was mentioned in another thread that it was mistake and it would be included with next snapshot. But as you can see the 1.4.589.2 doesn't include it either.

    Is this something that is just not included in the snapshots?

    Have just been running standalone stable for now.



  • In the snapshot blog I was informed that there is a contract problem, so Vivaldi cannot include the plugin in their distribution.

    Apparently, if you need it, you can install Google Chrome and then Vivaldi will use the plug-in from that.



  • So no future versions will not have the component without first having to install google chrome. That kind of sucks. :(



  • 1.4.589.2 (windows 64 bit) today updated - netflix isn't working! Chrome also installed, there's netflix is ok…



  • In the url type: vivaldi://components

    See if the Widevine Content Decryption Module is listed and not showing "0.0.0.0" version number. If so clicik on update. I had to do this first time I installed vivaldi. I assume it would have updated it on its own eventually.

    If missing try reinstalling google chrome. Still not working I am out of ideas for you.



  • @TbGbe:

    In the snapshot blog I was informed that there is a contract problem, so Vivaldi cannot include the plugin in their distribution.

    Apparently, if you need it, you can install Google Chrome and then Vivaldi will use the plug-in from that.

    I have Google Chrome installed but I get the error message. I reinstalled Chrome but that didn't help. Widevine is present in Chrome, enabled and up to date.



  • @TbGbe:

    In the snapshot blog I was informed that there is a contract problem, so Vivaldi cannot include the plugin in their distribution.

    This must have changed recently, I have
    AppData\Local\Vivaldi\User Data\WidevineCDM\1.4.8.903_platform_specific\win_x86\widevinecdm.dll
    from previous installations and the dll is not used anymore



  • @iAN CooG:

    @TbGbe:

    In the snapshot blog I was informed that there is a contract problem, so Vivaldi cannot include the plugin in their distribution.

    This must have changed recently, I have
    AppData\Local\Vivaldi\User Data\WidevineCDM\1.4.8.903_platform_specific\win_x86\widevinecdm.dll
    from previous installations and the dll is not used anymore

    I have that folder too but Netflix still complains. - Oh, except my build is 1.4.589.2…..





  • @rafiki:

    I have that folder too but Netflix still complains. - Oh, except my build is 1.4.589.2…..

    I too use the last Vivaldi snapshot, the version number in the WidevineCDM path is not the Vivaldi version =)



  • I have reverted to 1.3.551.38 (Stable channel) (32-bit) and Netflix and other video problems are sorted at least for the time being.



  • the question is: will they fix it … a browser who can´t display all websites correct is useless no matter what other features it have!


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.